#pragma once

#include "CoreMinimal.h"
#include "HideInSnowmanDecorator.h"
#include "SecondaryInteractionProperties.h"
#include "DBDTunableRowHandle.h"
#include "HideInSnowmanDecorator_Portable.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class UHideInSnowmanDecorator_Portable : public UHideInSnowmanDecorator
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FSecondaryInteractionProperties _retrieveSnowmanProperties;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Replicated, meta=(AllowPrivateAccess=true))
	bool _retrieveSnowmanRequested;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FDBDTunableRowHandle _retrieveCooldownDuration;

public:
	virtual void GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const override;

public:
	UHideInSnowmanDecorator_Portable();
};

FORCEINLINE uint32 GetTypeHash(const UHideInSnowmanDecorator_Portable) { return 0; }
